summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Daniel de Kok <danieldk@pobox.com>2010-05-11 20:00:08 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:00:08 +0200
commitb5d61a7e6f2ddcc3743f29d3cbca1d6177065049 (patch)
treed152e07be62052372e69434173ec7e8c779e53cc /desktop
parentb31811e61d282de0c2d96f1e7bf22dcfb680d0b6 (diff)
downloadslackbuilds-b5d61a7e6f2ddcc3743f29d3cbca1d6177065049.tar.gz
slackbuilds-b5d61a7e6f2ddcc3743f29d3cbca1d6177065049.tar.xz
desktop/matchbox-window-manager: Added to 12.0 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/matchbox-window-manager/README10
-rw-r--r--desktop/matchbox-window-manager/matchbox-window-manager.SlackBuild79
-rw-r--r--desktop/matchbox-window-manager/matchbox-window-manager.info8
-rw-r--r--desktop/matchbox-window-manager/slack-desc20
-rw-r--r--desktop/matchbox-window-manager/xinitrc.matchbox33
5 files changed, 150 insertions, 0 deletions
diff --git a/desktop/matchbox-window-manager/README b/desktop/matchbox-window-manager/README
new file mode 100644
index 0000000000..c6aceaa9a4
--- /dev/null
+++ b/desktop/matchbox-window-manager/README
@@ -0,0 +1,10 @@
+Matchbox is a lightweight environment for the X Window System, that
+is specifically designed for embedded platforms such as handhelds
+and set-top boxes.
+
+This is a SlackBuild for the Matchbox window manager. The libmatchbox
+library is required to build this package. libmatchbox is available
+through the project website and as a SlackBuild.
+
+The Matchbox homepage can be found at:
+http://projects.o-hand.com/matchbox/
diff --git a/desktop/matchbox-window-manager/matchbox-window-manager.SlackBuild b/desktop/matchbox-window-manager/matchbox-window-manager.SlackBuild
new file mode 100644
index 0000000000..82c93cf41b
--- /dev/null
+++ b/desktop/matchbox-window-manager/matchbox-window-manager.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for matchbox-window-manager
+
+# Copyright (c) 2007 Daniel de Kok <moc.mikciat@leinad>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Exit on most errors
+set -e
+
+PRGNAM=matchbox-window-manager
+VERSION=1.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-expat \
+ --enable-startup-notification \
+ --enable-session
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Add xinitrc file for matchbox
+mkdir -p $PKG/etc/X11/xinit
+install -m 0755 $CWD/xinitrc.matchbox $PKG/etc/X11/xinit/xinitrc.matchbox
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/matchbox-window-manager/matchbox-window-manager.info b/desktop/matchbox-window-manager/matchbox-window-manager.info
new file mode 100644
index 0000000000..de4d1f7049
--- /dev/null
+++ b/desktop/matchbox-window-manager/matchbox-window-manager.info
@@ -0,0 +1,8 @@
+PRGNAM="matchbox-window-manager"
+VERSION="1.1"
+HOMEPAGE="http://projects.o-hand.com/matchbox/"
+DOWNLOAD="http://projects.o-hand.com/matchbox/sources/matchbox-window-manager/1.1/matchbox-window-manager-1.1.tar.bz2"
+MD5SUM="73881fc9410ef49b1cb9f45af270be69"
+MAINTAINER="Daniel de Kok"
+EMAIL="danieldk@pobox.com"
+APPROVED="BP{k}"
diff --git a/desktop/matchbox-window-manager/slack-desc b/desktop/matchbox-window-manager/slack-desc
new file mode 100644
index 0000000000..1361a2db4a
--- /dev/null
+++ b/desktop/matchbox-window-manager/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+matchbox-window-manager: matchbox-window-manager (The Matchbox window manager)
+matchbox-window-manager:
+matchbox-window-manager: Matchbox is a lightweight environment for the X Window
+matchbox-window-manager: System, that is specifically designed for embedded
+matchbox-window-manager: platforms such as handhelds and set-top boxes.
+matchbox-window-manager:
+matchbox-window-manager: This package contains the Matchbox window manager.
+matchbox-window-manager:
+matchbox-window-manager: The Matchbox homepage can be found at:
+matchbox-window-manager: http://projects.o-hand.com/matchbox/
+matchbox-window-manager:
+
diff --git a/desktop/matchbox-window-manager/xinitrc.matchbox b/desktop/matchbox-window-manager/xinitrc.matchbox
new file mode 100644
index 0000000000..29f84e56da
--- /dev/null
+++ b/desktop/matchbox-window-manager/xinitrc.matchbox
@@ -0,0 +1,33 @@
+#!/bin/sh
+# $Xorg: xinitrc.cpp,v 1.3 2000/08/17 19:54:30 cpqbld Exp $
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/usr/X11R6/lib/X11/xinit/.Xresources
+sysmodmap=/usr/X11R6/lib/X11/xinit/.Xmodmap
+
+# merge in defaults and keymaps
+
+if [ -f $sysresources ]; then
+ /usr/X11R6/bin/xrdb -merge $sysresources
+fi
+
+if [ -f $sysmodmap ]; then
+ /usr/X11R6/bin/xmodmap $sysmodmap
+fi
+
+if [ -f $userresources ]; then
+ /usr/X11R6/bin/xrdb -merge $userresources
+fi
+
+if [ -f $usermodmap ]; then
+ /usr/X11R6/bin/xmodmap $usermodmap
+fi
+
+# start Matchbox
+if [ -x /usr/bin/matchbox-session ]; then
+ matchbox-session
+else
+ xterm &
+ matchbox-window-manager
+fi